TemplateProcessingTracer.TracedElement (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.core, interface: TemplateProcessingTracer, interface: TracedElement

Package freemarker.core

# Interface TemplateProcessingTracer.TracedElement

Enclosing interface:
  TemplateProcessingTracer

public static interface TemplateProcessingTracer.TracedElement
Information about the template element that we enter of exit; do NOT implement this (outside FreeMarker), as new methods can be added to this anytime!

Since:
  2.3.33

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBeginColumn()`
  1-based index of the column of the first character of the element in the template.
  `int`
  `getBeginLine()`
  1-based index of the line (row) of the first character of the element in the template.
  `String`
  `getDescription()`
  One-line description of the element, that also contains the parameter expressions, but not the nested content (child elements).
  `int`
  `getEndColumn()`
  1-based index of the line (row) of the last character of the element in the template.
  `int`
  `getEndLine()`
  1-based index of the column of the last character of the element in the template.
  `Template`
  `getTemplate()`
  The `Template` that contains this element.
  `boolean`
  `isLeaf()`
  If this is an element that has no nested elements.

- ## Method Details

  - ### getTemplate

    Template getTemplate()
    The `Template` that contains this element.

  - ### getBeginLine

    int getBeginLine()
    1-based index of the line (row) of the first character of the element in the template.

  - ### getBeginColumn

    int getBeginColumn()
    1-based index of the column of the first character of the element in the template.

  - ### getEndColumn

    int getEndColumn()
    1-based index of the line (row) of the last character of the element in the template.

  - ### getEndLine

    int getEndLine()
    1-based index of the column of the last character of the element in the template.

  - ### isLeaf

    boolean isLeaf()
    If this is an element that has no nested elements.

  - ### getDescription

    String getDescription()
    One-line description of the element, that also contains the parameter expressions, but not the nested content (child elements). There are no hard backward-compatibility guarantees regarding the format used, although it shouldn't change unless to fix a bug.